LibreOffice: OLEEmbeddedObjectFactory Service Reference

LibreOffice LibreOffice 6.1 SDK API Reference

List of all members
OLEEmbeddedObjectFactory Service Reference

`import"OLEEmbeddedObjectFactory.idl";`

Inheritance diagram for OLEEmbeddedObjectFactory:

## Additional Inherited Members
Exported Interfaces inherited from XEmbeddedObjectCreator
interface | XEmbedObjectCreator
interface | XEmbedObjectFactory
interface | XLinkCreator
interface | XLinkFactory
Public Member Functions inherited from XEmbedObjectCreator
::com::sun::star::uno::XInterface | createInstanceInitNew ([in] sequence< byte > aClassID, [in] string sClassName, [in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and initializes it as a new one. More...
::com::sun::star::uno::XInterface | createInstanceInitFromEntry ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object that should be based on specified storage entry. More...
::com::sun::star::uno::XInterface | createInstanceInitFromMediaDescriptor ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and initializes it based on com::sun::star::document::MediaDescriptor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEmbedObjectFactory
::com::sun::star::uno::XInterface | createInstanceUserInit ([in] sequence< byte > aClassID, [in] string sClassName, [in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] long nEntryConnectionMode, [in] sequence< ::com::sun::star::beans::PropertyValue > aArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and transport parameters for persistent initialization. More...
Public Member Functions inherited from XLinkCreator
::com::sun::star::uno::XInterface | createInstanceLink ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object based on com::sun::star::document::MediaDescriptor and initializes it as a link. More...
Protected Member Functions inherited from XLinkFactory
::com::sun::star::uno::XInterface | createInstanceLinkUserInit ([in] sequence< byte > aClassID, [in] string ClassName, [in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new link and transport parameters for persistent initialization. More...

## Detailed Description

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/embed/OLEEmbeddedObjectFactory.idl